NetBSD Mediatomb ./configure Problem

Dieses Thema im Forum "NetBSD" wurde erstellt von husky, 05.05.2010.

  1. husky

    husky Grünschnabel

    Dabei seit:
    10.03.2008
    Beiträge:
    3
    Zustimmungen:
    0
    Hallo Leute,

    mit einer NetBSD 5 Installatio habe ich folgendes Problem.

    Ich habe mir den Quellcode für mediatomb-0.12.1 heruntergeladen.

    Wenn ich ./configure absetze, erhalte ich folgenden output:

    Code:
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... configure_aux/install-sh -c -d
    checking for gawk... gawk
    checking whether make sets $(MAKE)... yes
    checking build system type... i386-unknown-netbsdelf5.0.1
    checking host system type... i386-unknown-netbsdelf5.0.1
    ./configure[43373]: no closing quote
    
    Weiß jemand Rat?
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Bâshgob, 05.05.2010
    Bâshgob

    Bâshgob freies Radikal

    Dabei seit:
    29.07.2004
    Beiträge:
    2.334
    Zustimmungen:
    0
    Ort:
    Hannover
  4. husky

    husky Grünschnabel

    Dabei seit:
    10.03.2008
    Beiträge:
    3
    Zustimmungen:
    0
    Danke Bâshgob,

    aber das war das Erste was ich versucht hatte...

    mit pkgsrc bekomme ich folgenden Output:

    Code:
    [root@husky-unix Thu May 06 18:59] /usr/pkgsrc/multimedia/mediatomb # make install                              => Bootstrap dependency digest>=20010302: found digest-20080510
    ===> Building for mediatomb-0.11.0nb6
    /usr/bin/make  all-recursive
    Making all in tombupnp
    Making all in build
    Making all in build
    c++ -DHAVE_CONFIG_H -I. -I.. -I../tombupnp/upnp/inc   -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/nspr -I/usr/pkg/include/bind -I/usr/X11R7/include -I/usr/include/krb5 -I../src  -I../tombupnp/ixml/inc  -I../tombupnp/threadutil/inc  -I../tombupnp/upnp/inc  -I..          -I/usr/pkg/include/taglib              -pthread      -I/usr/pkg/include   -O2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/nspr -I/usr/pkg/include/bind -I/usr/X11R7/include -I/usr/include/krb5 -MT libmediatomb_a-string_converter.o -MD -MP -MF .deps/libmediatomb_a-string_converter.Tpo -c -o libmediatomb_a-string_converter.o `test -f '../src/string_converter.cc' || echo './'`../src/string_converter.cc
    ../src/string_converter.cc: In member function 'zmm::String StringConverter::_convert(zmm::String, bool, size_t*)':
    ../src/string_converter.cc:138: error: invalid conversion from 'char**' to 'const char**'
    ../src/string_converter.cc:138: error:   initializing argument 2 of 'size_t iconv(__tag_iconv_t*, const char**, size_t*, char**, size_t*)'
    *** Error code 1
    
    Stop.
    make: stopped in /usr/work/multimedia/mediatomb/work/mediatomb-0.11.0/build
    *** Error code 1
    
    Stop.
    make: stopped in /usr/work/multimedia/mediatomb/work/mediatomb-0.11.0
    *** Error code 1
    
    Stop.
    make: stopped in /usr/work/multimedia/mediatomb/work/mediatomb-0.11.0
    *** Error code 1
    
    Stop.
    make: stopped in /usr/pkgsrc/multimedia/mediatomb
    *** Error code 1
    
    Stop.
    make: stopped in /usr/pkgsrc/multimedia/mediatomb
    
     
  5. #4 Bâshgob, 06.05.2010
    Bâshgob

    Bâshgob freies Radikal

    Dabei seit:
    29.07.2004
    Beiträge:
    2.334
    Zustimmungen:
    0
    Ort:
    Hannover
    pkgsrc welcher Stand?
    bootstrapping durchgeführt?
    Wie sieht die mk.conf aus?
    Sonst irgendwelche Besonderheiten am System (ich vermute ein i386)?
    Requirements lt. Handbuch erfüllt?
     
  6. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
Thema:

NetBSD Mediatomb ./configure Problem

Die Seite wird geladen...

NetBSD Mediatomb ./configure Problem - Ähnliche Themen

  1. NetBSD 7.0 freigegeben

    NetBSD 7.0 freigegeben: Die Entwickler des freien Unix-Systems NetBSD haben die Version 7.0 veröffentlicht. Das System unterstützt nun viel mehr Hardware und bringt...
  2. NetBSD 7.0 nähert sich der Fertigstellung

    NetBSD 7.0 nähert sich der Fertigstellung: Die Entwickler des freien Unix-Derivats NetBSD haben den ersten Veröffentlichungskandidaten der Version 7.0 veröffentlicht. Das System unterstützt...
  3. NetBSD auf Raspberry Pi 2 portiert

    NetBSD auf Raspberry Pi 2 portiert: Das freie BSD-System NetBSD, das den Anspruch hat, das portabelste System der Welt zu sein, unterstützt nach den älteren Raspberry Pi-Modellen...
  4. NetBSD 6.1.4 & Cobalt RAQ 2

    NetBSD 6.1.4 & Cobalt RAQ 2: Guten Abend! Ich bin verzweifelt am versuchen NetBSD 6.1.4 auf meiner Cobalt RAQ 2 Maschine zu installieren! Eigentlich hat alles soweit...
  5. NetBSD 6.1 freigegeben

    NetBSD 6.1 freigegeben: Gut ein halbes Jahr nach NetBSD 6.0 haben die Entwickler die Nachfolgeversion 6.1 mit Unterstützung des Raspberry Pi und DTrace veröffentlicht....